package ru.dbotthepony.kstarbound.client.render

import ru.dbotthepony.kstarbound.client.ClientWorld
import ru.dbotthepony.kstarbound.defs.animation.AnimationDefinition
import ru.dbotthepony.kvector.matrix.Matrix4fStack

class Animator(
	val world: ClientWorld,
	val def: AnimationDefinition
) {
	val frameAnimator: FrameAnimator?

	init {
		if (def.frames != null && def.animationCycle != null && def.frameNumber != null) {
			frameAnimator = FrameAnimator(lastFrame = def.frameNumber - 1, time = world.client.time, animationCycle = def.animationCycle)
		} else {
			frameAnimator = null
		}
	}

	fun render(stack: Matrix4fStack) {

	}
}
